/* $Id: clnyconv.cpp,v 1.1.1.1 1992/08/20 02:33:50 cvs Exp $
 *
 * Copyright (c) 1992 University of Alberta
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See COPYING file for more information.
 */

#include <image.h>
#include <conio.h>

char* fname = "N:\\TGA\\COL06.TGA";
char* outname = "N:\\TGA\\COL006.PCX";

MemoryImage *image;

void run ()
  {
  TGAFile *inimage = new TGAFile (fname, READ);
  image = new MemoryImage (8, 8, 0);

  cout << "Loading...";
  image->LoadImage (inimage);
  delete inimage;

  PCXFile *outimage = new PCXFile (outname, WRITE);
  outimage->SetImageType (IT_TRUECOLOR);
  outimage->SetPixelSize (8, 2);

  cout << "\nSaving...";
  outimage -> LoadImage (image);
  delete outimage;

  delete image;
  };

main ()
{
  cout << "\n";
  run ();

  cout << "\nDone.\n";
  return 0;
};
